## ipheth 1.0

=== ipheth-driver/Makefile ===
obj-m += ipheth.o

all:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules

clean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) clean

install:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules_install

=== ipheth-pair/Makefile ===
CFLAGS += -Wall -O2
LDLIBS += -limobiledevice

all: ipheth-pair

ipheth-pair: ipheth-pair.o

install:
	install -m 0755 ipheth-pair /lib/udev/
	install -m 0644 90-iphone-tether.rules /etc/udev/rules.d
	/sbin/udevadm control --reload-rules

clean:
	rm -f *.o ipheth-pair

=== debian/changelog ===
ipheth (1.0-5) unstable; urgency=low

  * Remove references to obsolete ipeth-dkms package (Closes: #711684, #872322)
  * Improved documentation (Closes: #766141)
  * Build against latest usbmuxd (Closes: #728050)
  * Update udevadm path (Closes: #852563)
  * Bump standards-version to latest

 -- Paul McEnery <pmcenery@gmail.com>  Tue, 05 Sep 2017 13:36:17 +0100

ipheth (1.0-4) unstable; urgency=low

  * Remove references to obsolete ipheth-dkms package (Closes: #711684)
  * Bump standards-version to latest
  * Patch ipheth-pair to latest git version (Closes: #728050)

 -- Paul McEnery <pmcenery@gmail.com>  Mon, 28 Oct 2013 11:38:14 +0000

ipheth (1.0-3) unstable; urgency=low

  * Add statement regarding Debian kernel version in NEWS.Debian

 -- Paul McEnery <pmcenery@gmail.com>  Tue, 28 Sep 2010 23:02:47 +0100

ipheth (1.0-2) unstable; urgency=low

  * Removed the ipheth-dkms package (Closes: #597157)

 -- Paul McEnery <pmcenery@gmail.com>  Thu, 23 Sep 2010 15:01:13 +0100

ipheth (1.0-1) unstable; urgency=low

  * Initial release (Closes: #566313)

 -- Paul McEnery <pmcenery@gmail.com>  Sun, 07 Feb 2010 21:13:09 +0000

=== debian/control ===
Source: ipheth
Section: net
Priority: extra
Maintainer: Paul McEnery <pmcenery@gmail.com>
Build-Depends: debhelper (>= 9), libimobiledevice-dev
Standards-Version: 4.0.0
Vcs-Git: https://github.com/pmcenery/ipheth-debian.git
Vcs-Browser: https://github.com/pmcenery/ipheth-debian
Homepage: http://giagio.com/wiki/moin.cgi/iPhoneEthernetDriver

Package: ipheth-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: USB tethering driver support utilities for the iPhone
 Internet tethering driver for the iPhone which allows Linux systems to
 make use of the phone's internet connection using a USB cable. Unlike
 other solutions out there, you don't need to jailbreak your phone or
 install third-party proxy applications.
 .
 This package provides the support utilities required to automatically
 set up the tethered connection.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010 Paul McEnery <pmcenery@gmail.com>

%:
	dh $@

# Build ipeth-pair binary only
override_dh_auto_build:
	make -C ipheth-pair

=== debian/watch ===
version=3
https://github.com/dgiagio/ipheth/tags .*/(.*)\.tar\.gz

## ipheth 1.0%2Bgit20111206

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: ipheth
 Section: net
 Priority: extra
-Maintainer: Paul McEnery <pmcenery@gmail.com>
-Build-Depends: debhelper (>= 9), libimobiledevice-dev
-Standards-Version: 4.0.0
-Vcs-Git: https://github.com/pmcenery/ipheth-debian.git
-Vcs-Browser: https://github.com/pmcenery/ipheth-debian
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paul McEnery <pmcenery@gmail.com>
+Build-Depends: debhelper (>= 7.4.2~), libimobiledevice-dev
+Standards-Version: 3.8.4
+Vcs-Git: http://github.com/pmcenery/ipheth-debian.git
+Vcs-Browser: http://github.com/pmcenery/ipheth-debian
 Homepage: http://giagio.com/wiki/moin.cgi/iPhoneEthernetDriver
 
 Package: ipheth-utils

## ipheth 1.0+git20111206

=== ipheth-driver/Makefile ===
obj-m += ipheth.o

KERNELDIR ?= /lib/modules/$(shell uname -r)/build
PWD := $(shell pwd)

all:
	make -C $(KERNELDIR) M=$(PWD) modules

clean:
	make -C $(KERNELDIR) M=$(PWD) clean

install:
	make -C $(KERNELDIR) M=$(PWD) modules_install

=== debian/changelog ===
ipheth (1.0+git20111206-0ubuntu5) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:29:18 +0000

ipheth (1.0+git20111206-0ubuntu4) xenial; urgency=medium

  * Rebuild with the new libimobiledevice soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 19 Nov 2015 16:27:23 +0100

ipheth (1.0+git20111206-0ubuntu3) saucy; urgency=low

  * No-change rebuild against the latest libimobiledevice

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 08 Aug 2013 12:32:33 -0400

ipheth (1.0+git20111206-0ubuntu2) quantal; urgency=low

  * No change rebuild with the new libimobiledevice

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Aug 2012 18:50:10 +0200

ipheth (1.0+git20111206-0ubuntu1) precise; urgency=low

  * New upstream release
     - GIT snapshot from Dec 6, 2011 (LP: #900802).
  * debian/patches/modprobe-conf-fix.patch: Fixed path to pairing utility.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 06 Dec 2011 14:09:28 +0100

ipheth (1.0-3build1) natty; urgency=low

  * No change rebuild against current libimobiledevice

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 15 Jan 2011 12:59:12 +0530

=== debian/watch ===
version=3
http://githubredir.debian.net/github/dgiagio/ipheth /([\d\.].*).tar.gz
